<?php $user_id = Model_Escorts::getUserById($this->escort->id); ?>
<hr class="hidden-md-down">

<div class="panel panel-default col-12 col-sm-12 col-md-12 col-lg-6 p-0">
	<div class="panel-heading" role="tab" id="headingContact">
		<p class="panel-title" data-toggle="collapse" data-parent="#accordion" data-target="#collapseContact" aria-expanded="true" aria-controls="collapseContact">Contact</p>
	</div>
	<div id="collapseContact" class="panel-collapse collapse show" role="tabpanel" aria-labelledby="headingContact">
		<div class="panel-body">
			<div class="row escort-contact">
				<div class="col-12">
					<div class="row">
							
						<div class="col-4"><?= $this->t('base_city') ?>:</div>
						<div class="col-8">
							<?= ($this->contacts->zip) ? $this->contacts->zip . ' ' : '' ?>
							<a href="<?= $this->getLink('escorts', array('city' => $this->contacts->city_slug, 'filter' => null, 'page' => null)) ?>" class="bold" title="<?= $this->contacts->{'base_city_' . $this->lang()} ?> <?= $this->t('escorts') ?>">
								<?= $this->contacts->{'base_city_' . $this->lang()} ?>
							</a>
						</div>
						
						<? if ( count($this->additional_cities) > 0 ): ?>
						<div class="col-4"><?= $this->t('available_in') ?>:</div>
						<div class="col-8">
							<? foreach($this->additional_cities as $k => $add_city): $seo_cities[] = $add_city->city_title ?>
								<a href="<?= $this->getLink('escorts', array('city' => $add_city->city_slug, 'filter' => null, 'page' => null)) ?>"><?= $add_city->city_title ?></a><?php if($k + 1 != count($this->additional_cities)): ?>,&nbsp;<?php endif;?>
							<? endforeach; ?>
						</div>	
						<? endif ?>
						
						<? if ( count($this->zones) > 0 ): ?>
						<div class="col-4"><?= $this->t('cityzones') ?>:</div>
						<div class="col-8">
							<? foreach($this->zones as $k => $zone): ?>
								<a href="<?= $this->getLink('escorts', array('zone' => $zone->country_iso . '_' . $zone->zone_slug, 'filter' => null, 'page' => null)) ?>"><?= $zone->zone_title ?></a><?php if($k + 1 != count($this->zones)): ?>,&nbsp;<?php endif;?>
							<? endforeach; ?>
						</div>
						<? endif ?>
						

						
						<div class="col-4">Affiliation:</div>
							<? if($this->agency->name): ?>
								<div class="col-8"><a href="<?= $this->getLink('agency-profile', array('agency_slug' => $this->agency->slug, 'agency_id' => $this->escort->agency_id), true); ?>"><?= $this->agency->name ?></a></div>
							<? else: ?>
								<div class="col-8">Independent</div>
							<? endif;?>
						
						<? if ( $this->contacts->street && $this->contacts->street_no ): ?>
							<div class="col-4"></div>
							<div class="col-8"><?= $this->contacts->street ?>, <?= $this->contacts->street_no ?></div>
						<? endif; ?>
						
						<? if( $this->filtered_phone ): ?>
							<div class="col-4"><?= $this->t('phone') ?>:</div>
							<div class="col-8"><a onclick="gtag('event', 'tap', {
        'event_category' : 'PhoneCall',
        'event_label' : 'event'
      });" href="tel:<?= $this->filtered_phone ?>"><?= $this->filtered_phone ?></a></div>
							<? /*if ( $this->contacts->phone_country_id ) {
								$phone_country = Cubix_Geography_Countries::getById($this->contacts->phone_country_id);
								$img = '<img style="vertical-align:middle; display: inline-block; margin-right: 10px;" src="../img/flags/' . $phone_country->iso . '.png" title="' . $phone_country->title . '" />';
							}
							<? print_row('phone', $img . '<img style="vertical-align:middle;" src="/index/phone-img?escort_id=' . $this->escort_id . '&fs=12&w=180&h=20&v=16&c=0,0,0" width="180" height="20" alt="Phone" />') */?>
						<? endif; ?>	
							
						<? if ( $this->contacts->phone_number_alt): ?>
						<div class="col-4"><?= $this->t('phone_alternative') ?>:</div>
						<div class="col-8"><?= $this->contacts->phone_number_alt ?></div>
						<? endif; ?>

						<? if ( ($this->filtered_phone || $this->contacts->phone_number_alt) && $this->HandVerificationDate ): ?>
								<div class="col-4">Contact:</div>
								<div class="col-8">last verified <?= date('d-m-Y',strtotime($this->HandVerificationDate)) ?></div>
						<? endif; ?>

                        <? if ($this->apps->viber || $this->apps->whatsapp || $this->apps->telegram || $this->apps->ssignal): ?>
                            <div class="col-4"><?= $this->t('apps_available') ?>:</div>
						<div class="col-8">
							<? if ($this->apps->whatsapp): ?>
								<span class="whatsapp">WhatsApp</span>
							<? endif; ?>
							<? if ($this->apps->viber): ?>
								<span class="viber">Viber</span>
							<? endif; ?>
                            <? if ($this->apps->telegram): ?>
								<span class="telegram">Telegram</span>
							<? endif; ?>
                            <? if ($this->apps->ssignal): ?>
                                <span class="signal">Signal</span>
                            <? endif; ?>
						</div>	
						<? endif; ?>
						
						<?
							$phone_instr = array(
								'1' => 'sms_and_call',
								'2' => 'sms_only',
								'3' => 'no_sms'
							);
						?>

						<? if ( $this->contacts->phone_instr || $this->contacts->phone_instr_no_withheld): ?>
							<?
								$instr = '<i class="ion-checkmark green"></i>';

								if ( $this->contacts->phone_instr ) {
									$instr = $this->t($phone_instr[$this->contacts->phone_instr]);
								}

								if ( $this->contacts->phone_instr_no_withheld ) {
									$instr .= " " . $this->t('phone_instr_no_withheld');
								}
							?>
							<div class="col-4"><?= $this->t('phone_instructions')?>: </div>
							<div class="col-8"><?= $instr ?></div>
						<? endif; ?>
							
						<? if ( $this->contacts->phone_instr_other ): ?>
						<div class="col-4"><?= $this->t('phone_instructions_other') ?>:</div>
						<div class="col-8"><?= $this->contacts->phone_instr_other ?></div>
						<? endif; ?>	
					

						<?//-------- PHONE additional 1 ?>
						<? if ($this->add_phones->phone_additional_1): ?>
							<div class="col-4"><?= $this->t('phone_alternative') ?>:</div>
							<div class="col-8"><?= $this->add_phones->phone_additional_1 ?> </div>

							<? if ($this->apps->viber_1 || $this->apps->whatsapp_1): ?>
								<div class="col-4"><?= $this->t('apps_available') ?>:</div>
								<div class="col-8">
									<? if ($this->apps->whatsapp_1): ?>
										<span class="whatsapp">WhatsApp</span>
									<? endif; ?>
									<? if ($this->apps->viber_1): ?>
										<span class="viber">viber</span>
									<? endif; ?>	
								</div>
							<? endif; ?>	

							<? if ( $this->contacts->phone_instr_1 || $this->contacts->phone_instr_no_withheld_1): ?>
								<?
									$instr = '';

									if ( $this->contacts->phone_instr_1 ) {
										$instr = $this->t($phone_instr[$this->contacts->phone_instr_1]);
									}

									if ( $this->contacts->phone_instr_no_withheld_1 ) {
										$instr .= ", " . $this->t('phone_instr_no_withheld');
									}
								?>
								<div class="col-4"><?= $this->t('phone_instructions')?>: </div>
								<div class='col-8 mb-2'><?= $instr ?></div>
							<? endif; ?>
							
							<? if ( $this->contacts->phone_instr_other_1 ): ?>
							<div class="col-4"><?= $this->t('phone_instructions_other') ?>:</div>
							<div class="col-8"><?= $this->contacts->phone_instr_other_1 ?></div>
							<? endif; ?>	
						
						<? endif; ?>
						<?//--------END PHONE additional 1 ?>
						
						<?//-------- PHONE additional 2 ?>
						<? if ($this->add_phones->phone_additional_2): ?>
							<div class="col-4"><?= $this->t('phone_alternative') ?>:</div>
							<div class="col-8"><?= $this->add_phones->phone_additional_2 ?> </div>

							<? if ($this->apps->viber_2 || $this->apps->whatsapp_2): ?>
								<div class="col-4"><?= $this->t('apps_available') ?>:</div>
								<div class="col-8">
									<? if ($this->apps->whatsapp_2): ?>
										<span class="whatsapp">WhatsApp</span>
									<? endif; ?>
									<? if ($this->apps->viber_2): ?>
										<span class="viber">viber</span>
									<? endif; ?>
								</div>	
							<? endif; ?>	

							<? if ( $this->contacts->phone_instr_2 || $this->contacts->phone_instr_no_withheld_2): ?>
								<?
									$instr = '';

									if ( $this->contacts->phone_instr_2 ) {
										$instr = $this->t($phone_instr[$this->contacts->phone_instr_2]);
									}

									if ( $this->contacts->phone_instr_no_withheld_2 ) {
										$instr .= ", " . $this->t('phone_instr_no_withheld');
									}
								?>
								<div class="col-4"><?= $this->t('phone_instructions')?>: </div>
								<div class='col-8 mb-2'><?= $instr ?></div>
							<? endif; ?>
							
							<? if ( $this->contacts->phone_instr_other_2 ): ?>
							<div class="col-4"><?= $this->t('phone_instructions_other') ?>:</div>
							<div class="col-8"><?= $this->contacts->phone_instr_other_2 ?></div>
							<? endif; ?>	
						
						<? endif; ?>
						<?//--------END PHONE additional 2 ?>	
							
						<? if ($this->contacts->email): ?>
							<div class="col-4"><?= $this->t('email') ?>:</div>
							<div class="col-8"><span class="write_me blue">E-mail me</span></div>
						<? endif ?>
						
						<? if ( (!$this->filtered_phone && !$this->contacts->phone_number_alt) && $this->HandVerificationDate ): ?>
								<div class="col-4">Contact:</div>
								<div class="col-8">last verified <?= date('d-m-Y',strtotime($this->HandVerificationDate)) ?></div>
						<? endif; ?>

						<?/* if ( $this->allowChat2() && $this->online_status ): ?>
						<tr>
							<th><?= $this->t('chat') ?>:</th>
							<td>
								<? if (Model_Users::getCurrent()): ?>
									<a href="javascript:;" onClick="chat.chatWith('<?= $this->escort_user_id ?>');"><img src="<?=_st('chat_now_active.png') ?>"  class="margin3" alt="" /></a>
								<? else: ?>
									<a href="#" class="chat_login"><img src="<?=_st('chat_now_active.png') ?>"  class="margin3" alt="" /></a>
								<? endif; ?>
							</td>
						</tr>
						<? endif;*/ ?>
					
						<? if (!$this->escort->block_website && $this->contacts->website): ?>
							<? $this->contacts->website = rtrim(str_replace( array('www.', 'http://', 'https://' ) , '', $this->contacts->website),"/"); ?>
                            <?
                                $link = $this->contacts->website;
                                if ( ! preg_match('#^http(s)?://#', $link) )
                                    $link = 'http://' .'www.' . $link;
                            ?>
							<div class="col-4"><?= $this->t('web') ?>: </div>
							<div class="col-8"> <a href="<?= $link ?>" target="_blank" rel="nofollow" class="link">Visit Website<?// $this->contacts->website ?></a></div>
						<? endif; ?>
					
						<? /*
						<? $agency_web = $this->escort->getAgencyWeb(); ?>
						<? if (!$agency_web->a_block_website): ?>
							<? if(!$this->escort->block_website && $this->contacts->website): ?>
								<?= print_row('web', $this->contacts->website ? '<a href="' . $this->getLink('external-link', array('link' => $this->contacts->website)) . '" target="_blank" rel="nofollow">' . $this->contacts->website . '</a>' : false) ?>
							<? else: ?>
								<?= print_row('web', $agency_web->a_web ? '<a href="' . $this->getLink('external-link', array('link' => $agency_web->a_web)) . '" target="_blank" rel="nofollow">' . $agency_web->a_web . '</a>' : false) ?>
							<? endif; ?>
						<? endif; ?>
						*/ ?>

                        <div class="col-4 d-none d-lg-block">Send Message:</div>
                        <div class="col-8 d-none d-lg-block">
                            <a class="<?= $this->current_user ? '' : 'not_authorized' ?>" href="<?= $this->getLink('pm',array('user_id'=>$user_id))?>">
                                <button class="btn btn-primary  text-white btn-sm">PM</button>
                            </a>
                        </div>

                        <? if ($this->escort->locations['longitude'] && $this->escort->locations['latitude']) : ?>
                            <div class="col-4">Location:</div>
                            <div class="col-8">
                                <input id="escort-lng" type="hidden" value="<?=$this->escort->locations['longitude'] ?>" />
                                <input id="escort-lat" type="hidden" value="<?=$this->escort->locations['latitude'] ?>" />
                                <a class="text-primary" href="javascript:void(0)" id="show-map-btn">Show on the map</a>
                            </div>
                            <div class="col-12" id="escort-map-mobile-section">
                                <div id="escort-map-mobile"></div>
                            </div>
                        <? endif; ?>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>
